Part Plane/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 10: Line 10:
}}
}}


{{GuiCommand
<div class="mw-translate-fuzzy">
|Name=Part Plane
{{GuiCommand/it|Name=Part CreatePrimitives|Name/it=Primitive|Workbenches=[[Part_Workbench/it|Part]]|MenuLocation=Part → [[Part_CreatePrimitives/it|Crea primitive...]] → Piano|
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Plane
Shortcut=Nessuno|SeeAlso=[[Part Cone/it | Cono]],[[Part Cylinder/it |Cilindro]],[[Part Sphere/it | Sfera]],[[Part Torus/it | Toro]], [[Part_CreatePrimitives/it | Crea primitive...]]}}
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
</div>
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}


==Description==
==Description==

Revision as of 13:30, 29 May 2022

Part Plane

Menu location
Part → Create primitives → Plane
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

Descrizione

Crea un semplice Piano parametrico di 10 x 10 mm, con i parametri di posizionamento, lunghezza e larghezza.

Di default, il piano viene posizionato in corrispondenza dell'origine (punto 0,0,0).

Utilizzo

See Part Primitives.

Example

Part Plane from the scripting example

A Part Plane object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • DatiLength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • DatiWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()